Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Interface CollectionUnion

All Superinterfaces:
  DataCollection, DataElement

All Known Implementing Classes:
  DataCollectionUnion, DataCollectionUnion2

public interface CollectionUnion
extends DataCollection

Collection that is union of several collections.

Field Summary

Fields inherited from interface ru.biosoft.access.DataCollection
`CHILDREN_NODE_IMAGE, CHILDREN_NODE_VISIBLE, CLASS_PROPERTY, CLASSPATH_JAR_PROPERTY, COMPARATOR_OBJECT, CONFIG_FILE_PROPERTY, CONFIG_PATH_PROPERTY, DATA_ELEMENT_CLASS_PROPERTY, DEFAULT_CONFIG_FILE, DEFAULT_CONFIG_SUFFIX, DEFAULT_FILTER_CONFIG_SUFFIX, DEFAULT_FORMAT_CONFIG_SUFFIX, DEFAULT_NODE_CONFIG_SUFFIX, DEFAULT_REPOSITORY, DESCRIPTION_PROPERTY, DISPLAY_NAME_PROPERTY, FILE_PATH_PROPERTY, FILE_PROPERTY, FILTER_PROPERTY, ID_FORMAT, IS_ROOT, JOB_CONTROL_PROPERTY, LATE_CHILDREN_INITIALIZATION, MUTABLE, NAME_PROPERTY, NEXT_CONFIG, NODE_IMAGE, NODE_VISIBLE, PRIMARY_COLLECTION, REMOVE_CHILDREN, TRANSFORMER_CLASS`

Method Summary
`void` | `addCollection(DataCollection dc)` Add all elements from specified collection to union.
`void` | `removeCollection(java.lang.String name)` Removes all elements contained in collection with specified name from union.

Methods inherited from interface ru.biosoft.access.DataCollection
`addDataCollectionListener, close, contains, contains, get, getCompleteName, getDataElementType, getInfo, getNameList, getSize, isMutable, isNotificationEnabled, isPropagationEnabled, iterator, propagateElementChanged, propagateElementWillChange, put, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled`

Methods inherited from interface ru.biosoft.access.DataElement
`getName, getOrigin`

Method Detail

### addCollection

    public void addCollection(DataCollection dc)

  Add all elements from specified collection to union. If specified collection already contains in union then all it elements readded again.

  Parameters:
    `dc` - Collection with data elements which will be added to union.

### removeCollection

    public void removeCollection(java.lang.String name)

  Removes all elements contained in collection with specified name from union.

  Parameters:
    `name` - Simple name of data collection which contains elements to remove from union.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.